from fastapi import APIRouter,Request,HTTPException
from pydantic import BaseModel
from fastapi import APIRouter, Depends
from pydantic import BaseModel, ValidationError
from model.models import AgentConfig,validate_wxid,auth_required_time
import threading
import asyncio
import time,random
from typing import Dict, Tuple, Any


label_router = APIRouter(prefix="/api/label")

class LabelAddRequest(BaseModel):
    wxid: str
    labelName: str

class LabelDelRequest(BaseModel):
    wxid: str
    labelIds: list

class LabelListRequest(BaseModel):
    wxid: str

class LabelModifyRequest(BaseModel):
    wxid: str
    labelIds: list
    wxIds: list
    

@label_router.post("/add", response_model=None)
async def add_label(request: Request,  body: LabelAddRequest):
    wxid = body.wxid
    label_name = body.labelName

    return { "labelName":label_name,"labelId":random.randint(1,100)} 


@label_router.post("/delete", response_model=None)
async def delete_label(request: Request,  body: LabelDelRequest, ):
   wxid = body.wxid
   label_ids= body.labelIds


   return {"message":"操作成功"}

@label_router.post("/list", response_model=None)
async def list_label(request: Request,  body: LabelListRequest, ):
    wxid = body.wxid

    return {
        "labelList":[{
        "labelName": "朋友",
        "labelId": 1
            },{
                "labelName": "邻居",
                "labelId": 2
            }]
        }

@label_router.post("/modifymembers", response_model=None)
async def modifymembers_label(request: Request,  body: LabelModifyRequest, ):
    wxid = body.wxid
    label_ids= body.labelIds
    wxids= body.wxIds
    return {"message":"操作成功"}

